<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>IBody (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IBody (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IBody.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
               title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/IBody.html" target="_top">Frames</a></li>
        <li><a href="IBody.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Interface IBody" class="title">Interface IBody</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                           title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFEndnote</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnote.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFFootnote</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFHeaderFooter</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">IBody</span></pre>
                <div class="block"><p>An IBody represents the different parts of the document which
                    can contain collections of Paragraphs and Tables. It provides a
                    common way to work with these and their contents.</p>
                    <p>Typically, this is something like a XWPFDocument, or one of
                        the parts in it like XWPFHeader, XWPFFooter, XWPFTableCell
                    </p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getBodyElements--">getBodyElements</a></span>()</code>
                                    <div class="block">Returns an Iterator with paragraphs and tables,
                                        in the order that they occur in the text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">getParagraph</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP&nbsp;p)</code>
                                    <div class="block">if there is a corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        of the parameter ctTable in the paragraphList of this header or footer
                                        the method will return this paragraph
                                        if there is no corresponding <a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        the method will return null
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphArray-int-">getParagraphArray</a></span>(int&nbsp;pos)</code>
                                    <div class="block">Returns the paragraph that of position pos</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphs--">getParagraphs</a></span>()</code>
                                    <div class="block">Returns the paragraph(s) that holds
                                        the text of the header or footer.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPart--">getPart</a></span>()</code>
                                    <div class="block">returns the Part, to which the body belongs, which you need for
                                        adding relationship to other parts
                                        Actually it is needed of the class XWPFTableCell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">BodyType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPartType--">getPartType</a></span>()</code>
                                    <div class="block">get the PartType of the body, for example
                                        DOCUMENT, HEADER, FOOTER, FOOTNOTE,
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">getTable</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl&nbsp;ctTable)</code>
                                    <div class="block">if there is a corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a> of
                                        the parameter ctTable in the tableList of this header
                                        the method will return this table
                                        if there is no corresponding <a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>
                                        the method will return null
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableArray-int-">getTableArray</a></span>(int&nbsp;pos)</code>
                                    <div class="block">Returns the table at position pos</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</code>
                                    <div class="block">returns the TableCell to which the Table belongs</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTables--">getTables</a></span>()</code>
                                    <div class="block">Return the table(s) that holds the text
                                        of the IBodyPart, for complex cases
                                        where a paragraph isn't used.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getXWPFDocument--">getXWPFDocument</a></span>()</code>
                                    <div class="block">Return XWPFDocument</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewParagraph-org.apache.xmlbeans.XmlCursor-">insertNewParagraph</a></span>(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</code>
                                    <div class="block">inserts a new paragraph at position of the cursor</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">insertNewTbl</a></span>(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</code>
                                    <div class="block">inserts a new Table at the cursor position.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">insertTable</a></span>(int&nbsp;pos,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</code>
                                    <div class="block">inserts a new Table at position pos</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getPart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPart</h4>
                                <pre><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;getPart()</pre>
                                <div class="block">returns the Part, to which the body belongs, which you need for
                                    adding relationship to other parts
                                    Actually it is needed of the class XWPFTableCell. Because you have to know to which
                                    part the tableCell
                                    belongs.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Part, to which the body belongs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPartType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPartType</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">BodyType</a>&nbsp;getPartType()</pre>
                                <div class="block">get the PartType of the body, for example
                                    DOCUMENT, HEADER, FOOTER, FOOTNOTE,
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the PartType of the body</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBodyElements--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBodyElements</h4>
                                <pre>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt;&nbsp;getBodyElements()</pre>
                                <div class="block">Returns an Iterator with paragraphs and tables,
                                    in the order that they occur in the text.
                                </div>
                            </li>
                        </ul>
                        <a name="getParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphs</h4>
                                <pre>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;&nbsp;getParagraphs()</pre>
                                <div class="block">Returns the paragraph(s) that holds
                                    the text of the header or footer.
                                </div>
                            </li>
                        </ul>
                        <a name="getTables--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTables</h4>
                                <pre>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt;&nbsp;getTables()</pre>
                                <div class="block">Return the table(s) that holds the text
                                    of the IBodyPart, for complex cases
                                    where a paragraph isn't used.
                                </div>
                            </li>
                        </ul>
                        <a name="getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraph</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;getParagraph(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP&nbsp;p)</pre>
                                <div class="block">if there is a corresponding <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a> of
                                    the parameter ctTable in the paragraphList of this header or footer
                                    the method will return this paragraph
                                    if there is no corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                    the method will return null
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>p</code> - is instance of CTP and is searching for an XWPFParagraph</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>null if there is no XWPFParagraph with an corresponding CTPparagraph in the
                                        paragraphList of this header or footer
                                        XWPFParagraph with the correspondig CTP p
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;getTable(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl&nbsp;ctTable)</pre>
                                <div class="block">if there is a corresponding <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a> of the
                                    parameter ctTable in the tableList of this header
                                    the method will return this table
                                    if there is no corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>
                                    the method will return null
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ctTable</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParagraphArray-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphArray</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;getParagraphArray(int&nbsp;pos)</pre>
                                <div class="block">Returns the paragraph that of position pos</div>
                            </li>
                        </ul>
                        <a name="getTableArray-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableArray</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;getTableArray(int&nbsp;pos)</pre>
                                <div class="block">Returns the table at position pos</div>
                            </li>
                        </ul>
                        <a name="insertNewParagraph-org.apache.xmlbeans.XmlCursor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewParagraph</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;insertNewParagraph(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</pre>
                                <div class="block">inserts a new paragraph at position of the cursor</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cursor</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertNewTbl-org.apache.xmlbeans.XmlCursor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewTbl</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;insertNewTbl(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</pre>
                                <div class="block">inserts a new Table at the cursor position.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cursor</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertTable</h4>
                                <pre>void&nbsp;insertTable(int&nbsp;pos,
                 <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</pre>
                                <div class="block">inserts a new Table at position pos</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pos</code> -</dd>
                                    <dd><code>table</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableCell</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&nbsp;getTableCell(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</pre>
                                <div class="block">returns the TableCell to which the Table belongs</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getXWPFDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getXWPFDocument</h4>
                                <pre><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;getXWPFDocument()</pre>
                                <div class="block">Return XWPFDocument</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IBody.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
               title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/IBody.html" target="_top">Frames</a></li>
        <li><a href="IBody.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
